Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.configuration
Class Configuration.PropertiesReader

    java.lang.Object
      |
      +--java.io.Reader
            |
            +--java.io.BufferedReader
                  |
                  +--java.io.LineNumberReader
                        |
                        +--org.apache.velocity.runtime.configuration.Configuration.PropertiesReader

Enclosing class:
  Configuration

class Configuration.PropertiesReader
extends java.io.LineNumberReader

This class is used to read properties lines. These lines do not terminate with new-line chars but rather when there is no backslash sign a the end of the line. This is used to concatenate multiple lines for readability.

Fields inherited from class java.io.LineNumberReader
`lineNumber, markedLineNumber, markedSkipLF, maxSkipBufferSize, skipBuffer, skipLF`

Fields inherited from class java.io.BufferedReader
`cb, defaultCharBufferSize, defaultExpectedLineLength, in, INVALIDATED, markedChar, nChars, nextChar, readAheadLimit, UNMARKED`

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`Configuration.PropertiesReader(java.io.Reader reader)` Constructor.

Method Summary
`java.lang.String` | `readProperty()` Read a property.

Methods inherited from class java.io.LineNumberReader
`getLineNumber, mark, read, read, readLine, reset, setLineNumber, skip`

Methods inherited from class java.io.BufferedReader
`, close, ensureOpen, fill, markSupported, read1, readLine, ready`

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### Configuration.PropertiesReader

    public Configuration.PropertiesReader(java.io.Reader reader)

  Constructor.
  Parameters:
    `reader` - A Reader.

Method Detail

### readProperty

    public java.lang.String readProperty()
                                  throws java.io.IOException

  Read a property.
  Returns:
    A String.
  Throws:
    `IOException.` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.